function [f_c, N_bands] = critical_bands()
%CRITICAL_BANDS Idealized critical band centers of human hearing
%
%   [FC, N_bands] = CRITICAL_BANDS() Gives the center frequencies of 
%       idealized critical bands of human hearing in a column vector FC. 
%       The center frequencies are given in Hz units. N_bands is the length
%       of the vector FC, that is the number of critical bands in the audio
%       range.


f_c = [50, 150, 250, 350, 450, 570, 700, 840, 1000, 1175, 1370, 1600, ...
    1850, 2150, 2500, 2900, 3400, 4000, 4800, 5800, 7000, 8500, 10500, ...
    13500, 19500].';

N_bands = length(f_c);

end % of function critical_bands
